Skip to main content
Restore an entity from a snapshot

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Query Parameters

ignoreWarnings
boolean
default:false

When true, suppresses import warnings and proceeds if there are no errors

Body

application/vnd.composer.v3+json

Request body for restoring an entity from a snapshot

itemType
enum<string>
required

Entity type to restore. Supported: SOURCE

Available options:
SOURCE,
VISUAL,
DASHBOARD
Example:

"SOURCE"

itemId
string
required

ID of the entity to restore

Minimum string length: 1
Example:

"src-123"

snapshotNumber
integer<int32>
required

Snapshot number to restore from

Example:

2

Response

Entity restored successfully

Success response for a snapshot restore operation

itemType
enum<string>

Entity type that was restored

Available options:
SOURCE,
VISUAL,
DASHBOARD
Example:

"SOURCE"

itemId
string

ID of the entity that was restored

Example:

"src-123"

restoredFromSnapshotNumber
integer<int32>

Snapshot number that was restored from

Example:

2

restoredAt
string<date-time>

Timestamp when the restore was performed

Example:

"2026-07-23T10:30:00Z"

restoredByUserId
string

ID of the user who performed the restore

Example:

"user-123"

message
string

Confirmation message

Example:

"Source restored successfully"